<?php

declare(strict_types=1);

namespace PHPNative\Tailwind\Style;

class Shadow implements Style
{
    public function __construct(
        public string $size = 'none', // none, sm, base, md, lg, xl, 2xl, inner
        public Color $color = new Color(),
        public ?int $opacity = null, // 0-100, null means use default
    ) {}

    public function __clone()
    {
        $this->color = clone $this->color;
    }
}
